// x_i.txtのtifファイルとスタック作成
macro "x_i.txtのtifファイルとスタック作成" {
  print("処理するフォルダーを指定してください．");
  dir1 = getDirectory("Choose a Directory");
  print(dir1);
  
  st1 = 1;   //処理開始番号
  st1 = getNumber("処理終了する番号を入力",st1);
  st2 = 100; //処理終了番号
  st2 = getNumber("処理終了する番号を入力",st2);
  // print(st1,st2);
  
  //一括処理の開始
  for (i=st1; i < st2+1; i++) {
    xfile= "open=" + dir1 + "x_" + i + ".txt";
    print(xfile);
    
    run("Text Image... ", xfile);
    run("Fire");
    //run("Brightness/Contrast...");
    setMinAndMax(-10, 200);
	file_tif = dir1 + "x_" + i + ".tif";
	
	saveAs("Tiff", file_tif);
  }

  run("Images to Stack");
  
  
  xfile=dir1+"stack_x.tif";
  saveAs("Tiff", xfile);

}
//------------------------------------------------------
//x1_i.txtのスタック作成
macro "x1_i.txtのスタック作成" {
  print("処理するフォルダーを指定してください．");
  dir1 = getDirectory("Choose a Directory");
  print(dir1);
  
  st1 = 1;   //処理開始番号
  st1 = getNumber("処理終了する番号を入力",st1);
  st2 = 100; //処理終了番号
  st2 = getNumber("処理終了する番号を入力",st2);
  // print(st1,st2);
  
  //一括処理の開始
  for (i=st1; i < st2+1; i++) {
    xfile= "open=" + dir1 + "x1_" + i + ".txt";
    print(xfile);
    
    run("Text Image... ", xfile);
    run("Fire");
    //run("Brightness/Contrast...");
    setMinAndMax(-10, 150);
//	file_tif = dir1 + "x_" + i + ".tif";
//	saveAs("Tiff", file_tif);
  }

  run("Images to Stack");
  
  xfile=dir1+"stack_x1.tif";
  saveAs("Tiff", xfile);

}

//------------------------------------------------------
//x2_i.txtのスタック作成
macro "x2_i.txtのスタック作成" {
  print("処理するフォルダーを指定してください．");
  dir1 = getDirectory("Choose a Directory");
  print(dir1);
  
  st1 = 1;   //処理開始番号
  st1 = getNumber("処理終了する番号を入力",st1);
  st2 = 100; //処理終了番号
  st2 = getNumber("処理終了する番号を入力",st2);
  // print(st1,st2);
  
  //一括処理の開始
  for (i=st1; i < st2+1; i++) {
    xfile= "open=" + dir1 + "x2_" + i + ".txt";
    print(xfile);
    
    run("Text Image... ", xfile);
    run("Fire");
    //run("Brightness/Contrast...");
    setMinAndMax(-10, 150);
	// file_tif = dir1 + "x2_" + i + ".tif";
	
	//saveAs("Tiff", file_tif);
  }

  run("Images to Stack");

  xfile=dir1+"stack_x2.tif";
  saveAs("Tiff", xfile);

}

//------------------------------------------------------
//area_i.txtのスタック作成
macro "area_i.txtのスタック作成" {
  print("処理するフォルダーを指定してください．");
  dir1 = getDirectory("Choose a Directory");
  print(dir1);
  
  st1 = 1;   //処理開始番号
  st1 = getNumber("処理終了する番号を入力",st1);
  st2 = 100; //処理終了番号
  st2 = getNumber("処理終了する番号を入力",st2);
  // print(st1,st2);
  
  //一括処理の開始
  for (i=st1; i < st2+1; i++) {
    xfile= "open=" + dir1 + "area_" + i + ".txt";
    print(xfile);
    
    run("Text Image... ", xfile);
    run("Fire");
    //run("Brightness/Contrast...");
    setMinAndMax(-10, 100);
	// file_tif = dir1 + "x2_" + i + ".tif";
	
	//saveAs("Tiff", file_tif);
  }

  run("Images to Stack");

  xfile=dir1+"stack_area.tif";
  saveAs("Tiff", xfile);

}

//------------------------------------------------------
//curve_i.pngのスタック作成
macro "curve_i.pngのスタック作成" {
  print("処理するフォルダーを指定してください．");
  dir1 = getDirectory("Choose a Directory");
  print(dir1);
  
  st1 = 1;   //処理開始番号
  st1 = getNumber("処理終了する番号を入力",st1);
  st2 = 100; //処理終了番号
  st2 = getNumber("処理終了する番号を入力",st2);
  // print(st1,st2);
  
  //一括処理の開始
  for (i=st1; i < st2+1; i++) {
    xfile= dir1 + "curve_" + i + ".png";
    print(xfile);
    
    open(xfile);
  }

  run("Images to Stack");

  xfile=dir1+"stack_curve.tif";
  saveAs("Tiff", xfile);

}

//------------------------------------------------------
//  2θ-sin2psi線図のスタック作
macro "2θ-sin2psi線図のスタック作成" {
  print("diagramフォルダーを指定してください．");
  dir1 = getDirectory("Choose a Directory");
  print(dir1);
  
  st1 = 1;   //処理開始番号
  st1 = getNumber("処理終了する番号を入力",st1);
  st2 = 100; //処理終了番号
  st2 = getNumber("処理終了する番号を入力",st2);
  // print(st1,st2);
  
  //一括処理の開始
  for (i=st1; i < st2+1; i++) {
    xfile= dir1 + "diagram_" + i + ".png";
    print(xfile);
    
    open(xfile);
  }

  run("Images to Stack");

  xfile=dir1+"stack_diagram.tif";
  saveAs("Tiff", xfile);

}


//------------------------------------------------------
//  ccc_i.pngのスタック作
macro "ccc_i.pngのスタック作成" {
  print("ccc_i.pngのフォルダーを指定してください．");
  dir1 = getDirectory("Choose a Directory");
  print(dir1);
  
  st1 = 1;   //処理開始番号
  st1 = getNumber("処理終了する番号を入力",st1);
  st2 = 100; //処理終了番号
  st2 = getNumber("処理終了する番号を入力",st2);
  // print(st1,st2);
  
  //一括処理の開始
  for (i=st1; i < st2+1; i++) {
    xfile= dir1 + "ccc_" + i + ".png";
    print(xfile);
    
    open(xfile);
  }

  run("Images to Stack");

  xfile=dir1+"stack_ccc.tif";
  saveAs("Tiff", xfile);

}
